                       VPIC ver 6.1 USERS MANUAL
               A Picture File Viewing/Conversion Program
             (C) Copyright 1990-1993, All Rights Reserved
                   by Bob Montgomery  CIS 73357,3140

                                 INDEX
    Topic                                                                 Page
    Introduction. . . . . . . . . . . . . . . . . . . . . . . . . . . . . 1
    General Features and Modes. . . . . . . . . . . . . . . . . . . . . . 1
        Menu Mode . . . . . . . . . . . . . . . . . . . . . . . . . . . . 1
        Single File Mode  . . . . . . . . . . . . . . . . . . . . . . . . 1
        Single File Mode  . . . . . . . . . . . . . . . . . . . . . . . . 1
        Slide Mode  . . . . . . . . . . . . . . . . . . . . . . . . . . . 2
    SuperVGA Boards Supported . . . . . . . . . . . . . . . . . . . . . . 2
    Filetypes Viewed and Converted. . . . . . . . . . . . . . . . . . . . 3
    Menu Features . . . . . . . . . . . . . . . . . . . . . . . . . . . . 3
        Mouse Support . . . . . . . . . . . . . . . . . . . . . . . . . . 4
        Menu Layout . . . . . . . . . . . . . . . . . . . . . . . . . . . 4
    Commands while Viewing. . . . . . . . . . . . . . . . . . . . . . . . 4
    VPIC Command Line Options . . . . . . . . . . . . . . . . . . . . . . 5
    Examples of VPIC Command Line Options . . . . . . . . . . . . . . . . 6
	Slideshows. . . . . . . . . . . . . . . . . . . . . . . . . . . . . . 7
	Detailed Command List . . . . . . . . . . . . . . . . . . . . . . . . 8
		Keyboard and Mouse Commands in Menu Mode. . . . . . . . . . . . . 8
		Keyboard and Mouse Commands while Viewing a Picture . . . . . . . 9
	Decoding Other File Formats . . . . . . . . . . . . . . . . . . . . .12
	Added features. . . . . . . . . . . . . . . . . . . . . . . . . . . .12
	Known Problems. . . . . . . . . . . . . . . . . . . . . . . . . . . .12
	Support For Other SuperVGA Boards . . . . . . . . . . . . . . . . . .13
	Useful Techniques . . . . . . . . . . . . . . . . . . . . . . . . . .13
	How VPIC Operates . . . . . . . . . . . . . . . . . . . . . . . . . .13
		Decoding Directly to Screen Memory. . . . . . . . . . . . . . . .14
		Decoding to CPU Memory First. . . . . . . . . . . . . . . . . . .14
	VPIC Terms and Conditions . . . . . . . . . . . . . . . . . . . . . .15
	Upgrades from Previous Programs and Updates . . . . . . . . . . . . .16
	Orders from Me	. . . . . . . . . . . . . . . . . . . . . . . . . . .16
	Disclaimer. . . . . . . . . . . . . . . . . . . . . . . . . . . . . .16
	Special Versions. . . . . . . . . . . . . . . . . . . . . . . . . . .17
	Graphic Oriented BBS's. . . . . . . . . . . . . . . . . . . . . . . .17
    Appendix A - Revision History . . . . . . . . . . . . . . . . . . . .A1
        History of VGIF . . . . . . . . . . . . . . . . . . . . . . . . .A1
        History of VPIC . . . . . . . . . . . . . . . . . . . . . . . . .A3

                             MENU SCREEN
1024K Tseng ET-4000 256 Color    *.* FILES              Auto/Lock/Norm  Wait
320x200  640x350  640x400  640x480  80x600  1024x768
FILE1.BMP    27K     FILE10.TIF  227K
FILE2.CUT    43K
FILE3.GIF    15K
FILE4.LBM   427K
FILE5.MAC    83K       4 Column, 20 Row Picture Menu
FILE6.PCX    19K
FILE7.PIC   228K
FILE8.SCO   331K
FILE9.TGA    99K

Dialog Line                                                     Memory=498307
SPACE=Tag/UnTag ENTER=Show ESC=Quit F1=Help F2=Slides F3=Info F4=EGA/VGA <-  ->
F5/F6=+/-Res F7=Lock/Auto/Norm F8=Wait F9=Path AltF9=DIRS F10=ShowPath PgUp PgDn
                                                                       Page 1
    INTRODUCTION - The original program was called VGIF, reflecting its
    ability to view only GIF files. When the program evolved to include
	other paint file formats, its name was changed to VPIC. See the revision
    history in Appendix A for latest additions and bug fixes. Look at the
    section titled How VPIC Operates for an explanation of the differences
	between VPIC and other viewers, and the advantages and disadvantages of
    both types.

    The picture on the index page shows the screen you get if you just enter
	VPIC in a directory that has viewable files. The top row tells what
	SuperVGA card and how much memory VPIC thinks you have (you should
	configure VPIC if this is not correct), the filespec VPIC is using (ie,
    *.pcx), and is also where the Lock/Auto/Norm and Wait indicators appear
    (shown in italics). The second row is the the resolution line, with the
    current resolution hilited; you can chage resolution with F5/F6 or by
    left clicking with the mouse. The next 20 lines are the alphabetical
    listing of the viewable files; you can use the cursor keys and Enter or
    the mouse to select one for viewing. Line 23 is the Dialog Line where
    info and prompts appear; at the end of this line is the amount of free
	memory that VPIC can use for slideshows. Line 24 and 25 list the more
    common commands available from the menu; these can also be left clicked
    with the mouse to activate them. Pressing F1 gives a help screen of
    additional commands, and these can also be left clicked with the mouse
	to activate them. There is much more to VPIC, but this quick overview
    will give you the flavor of the program.


	GENERAL FEATURES - VPIC is a very easy to use but powerful file viewer
    and converter. It shows pictures in EGA, MCGA, VGA or SuperVGA video
    modes on most of the popular display adapter cards, and uses a plain
	text configuration file to tell VPIC which VGA chip your display card
    uses and what video modes it can do. It has a single file, slideshow,
    and menu mode of operation, and will show pictures in many of the
    popular file formats. When a picture is on the screen, except in slide
	modes, VPIC can manipulate the picture, or convert the picture to other
    file formats. All this in a fast, easy to use program that puts you in
    total control, and is rated by users as the top in it's class. It
    supports 32K and 16.5M color modes using hi color DAC's for viewing 16
    thru 32 bit files in BMP, PCX, TGA, and TIF formats, and does color
    reduction (to 16 or 256 colors) for these file types if you don't have a
    hi-color DAC.

    MENU MODE - This is the default mode when you just enter vpic from the
    DOS command line. It lists all viewable files in a 4 column menu with
    easy to use controls to allow you to show pictures the way you want to
    see them, including a slide mode. See Menu Features.

    SINGLE FILE MODE - This mode has advanced features which make it
    attractive for application programs which don't have the ability to
	display hi-res graphics, such as data bases. You can shell to VPIC with
    a filename and the /r option to display a picture and return immediately
    to your application, without waiting for user input or displaying the
    shareware message. If you want user input,  call a batch file containing
        'vpic /r %1' and
        'wait 100'.
                                                                       Page 2
    SLIDE MODE - This mode uses a plain text command file listing the
    pictures you want to see in the order you want to see them, with mode
    and delay specs if desired. This is particularly useful to showcase your
    product line at trade shows, or to put on a self running demo. See
    Slideshows.

	IMPORTANT: VPIC requires DOS 2.0 or up to run from the current
	directory, or DOS 3.0 up to run from anywhere. You must configure VPIC
	for your graphics board using CVPIC or CONFIG; VPIC comes configured for
    a Tseng ET-4000 SuperVGA board with 1M memory). The WHICHVGA program
    will try to identify your VGA chip and the amount of display memory. See
    CONFIG.DOC.

    The Graphics Interchange Format (GIF) is a Service Mark owned by
        Compuserve.
    For further information, please contact:
        Compuserve Incorporated, Graphics Technology Department,
        5000 Arlington Center Boulevard, Columbus, Ohio 43220, USA


	SUPERVGA BOARDS SUPPORTED  - Presently, VPIC has SuperVGA support for
    the following SuperVGA chips (see CONFIG.DOC for details):
    *   Ahead (A & B chip)
	*	ATI New, old, and Ultra boards.
    *   Chips & Technology
	*	Cirrus GLD54xx boards (thru VESA)
    *   Everex
    *   Genoa
	*	Headland/Video7 - Newer/older Video 7 cards.
    *   NCR - used in newer Boca boards.
    *   Oak
	*	Paradise/Western Digital - Newer/older Paradise cards.
    *   Primus - Used on Galaxy SVGA boards.
    *   QVision - Compaq's video board
    *   Realtek - used in Realtek board.
	*	S3 GUI Accelerator - Doesn't use VESA info info is wrong.
    *   Trident (8800BS/CS and 8900)
    *   Tseng(ET-3000 and ET-4000)
	*	Zymos - Used in HiRes VGA boards.
	*	All boards that support VESA 1.1 and later correctly. If the info
		returned by the board is incorrect, a generic VESA config file is
		supplied, and you can configure with this and do 'vpic /v' to make
		VPIC ignore the incorrect VESA info the board returns. This VESA
		config file contains all standard VESA modes, and you can add/remove
		semicolons to make it conform to your display board capabilities. It
		works for most VESA boards, but may have to be 'tuned' for some boards
		if they don't use standard bytes/line, etc.
		your display board capabilities. It works

    The CONFIG program semi-automates the configuration process. If your
    display board implements the VESA standard (thru BIOS or a TSR), this
    will be auto-detected and used regardless of the configuration; the only
    drawback to VESA is you can't scroll down quite as far. The /v command
	line option makes VPIC ignore the VESA info your display card returns,
	and use the configuration info. See CONFIG.DOC, README.1ST, and PROBLEMS
	for more info on configuration.

	FILETYPES VIEWED AND CONVERTED - VPIC will view and convert to the
	following file formats [convert command while viewing in brackets]:
                                                                       Page 3
		1. Binary Image Files (BIF) from B&W image capture boards. Display
           only.
		2. Dr. Halo CUT files (with PAL if present). Not Dr. Halo PIC files,
           which are display adapter specific. [C]
		3. GIF87a and GIF89a files; saves to GIF87a format only since GIF89a
		   stuff is mainly animation and text handling enhancements.  [G=
		   normal], [I=interlaced], [M=mirrored], [U=upside down], [<=
		   rotated CCW 90 deg], [>=rotated CW 90 deg].
		4. Deluxe Paint LBM (or IFF) files, regular and enhanced. [D]
		5. MacIntosh MAC files. Display only.
		6. Pictor/PC Paint PIC files. [P]. Some ViewPoint files.
        7. Zsoft 1-24 bit PCX files. [Z]
		8. ColorRIX/EGA Paint SCx files, uncompressed only. RIX wont tell
           anyone his compression algorithm, so compressed files can't be
           done. Use ColoRIX's RIXLATE to uncompress SCx files that are
           compressed. [R]
        9. Targa 8-32 bit TGA files, compressed or uncompressed. Also
           uncompresses Targa files that are compressed (e option while
           viewing).
       10. Aldus 1-24 bit TIF files, all types except multi plane and FAX. [S]
       11. Windows/OS2 1-24 bit BMP files, compressed or normal. [W]

    MENU FEATURES:
    *   Handles up to 2000 files using mouse or keyboard.
	*	Gives 4 column menu of files with extensions VPIC recognizes.
    *   Arrow keys, PgUp/PgDn move thru menu.
    *   Starting letter (or number) of filename jumps to files starting with
        that character.
    *   Shows file at cursor with ENTER or left mouse button.
    *   Mark/unmark files for viewing with SPACEBAR or right mouse button.
    *   Shows marked files singly (ENTER or left mouse button) or like a
        slide show (F2) in the order marked.
    *   [F1] gives help.
    *   [F2] shows marked files like a slideshow.
    *   [F3] gives file size, colors, and other info.
    *   [F4] toggles between 16 (EGA) and 256 (VGA) color modes.
    *   [F5/F6] decrease/increase default resolution.
    *   [Alt F6] shows all 16, 256, and hi-color modes VPIC thinks you have.
    *   [F7] Locks current resolution, or selects auto resolution mode.
	*	[Alt F7] locks a hi-color mode if your display card supports these.
    *   [F8] Makes multi-image GIF's pause for a keypress between images.
    *   [F9] prompts for new path.
	*	[Alt F9] gives a directory tree in the menu window.
    *   [F10] shows current path for files.
	*	Alt_C copies tagged files (or file at cursor) to a new path.
    *   Alt_D prompts for new slide delay for slideshow (F2).
    *   Alt_G toggles auto-resizing on/off for pictures that don't fit screen.
    *   Alt_L prompts for new fixed margins.  Entering 'a' makes that axis
		auto centering (default).
	*	Alt_M moves tagged files (or file at cursor) to a new path.
    *   Alt_S makes a slidefile of the current marked files.
    *   Alt_T (tag) marks all files.
    *   Alt_U (untag) unmarks all files.
	*	Alt_X deletes tagged files (or file at cursor). Prompts for each file;
        Y deletes the file, N doesn't, ESC aborts the delete operation.
    *   Alt_Z toggles the name display while decoding on/off. Default is on
        unless /z passed on DOS command line.
    *   Menu text color setable in configuration file.
                                                                       Page 4
    MOUSE SUPPORT - All the above functions are now controllable by the
    mouse. Click on the resolution bar, bottom 2 lines of quick help, or
    files. For the menu screen, the left button is the same as enter, and
    the right button is the same as the spacebar. While decoding, the right
    button aborts; while viewing, the left button returns to the menu. Most
    of the Alt functions must still be done by keyboard or from the
    help/menu (F1). The Alt_F9 (directory tree) can be done by mouse from
    the file menu screen.

    MENU LAYOUT - Menu lines are as follows:
    Line   Contents
    1      Gives the board type along with the number of colors (16 or 256).
           Toggle values also appear on this line (Lock/Auto, Wait).
    2      Gives the resolutions available with the default resolution
           highlighted.
	3 - 22 Four column menu of files with extensions VPIC recognizes.
    23     Prompt and message line. Free memory displayed at far right.
    24, 25 Quick help on commands and mouse menu.

    COMMANDS WHILE VIEWING - The following commands (shown in brackets) are
    available any time the picture is on the screen.
	*	Shows filename while decoding, and [ESC] aborts decoding. Menu Alt_Z
		or command line /z overrides.
    *   / or ? or clicking the right mouse button gives a help/menu overlay.
        The desired command can be clicked with the left mouse button or the
        key can be pressed to activate the command (except for F1-F10).
    *   Tab resizes the picture to fit the screen, keeping current aspect ratio.
    *   [A] animates a picture by rotating the palette; very pleasing for
        fractals. SPACEBAR pauses the animation, ENTER stops it for further
        commands such as conversions, and ESC returns to the menu. Up/Dn
        arrows and PgUp/PgDn increase/decrease the animation rate.
    *   [B] converts a 256 color picture to 64 gray shades. 256 color modes
		only. Alt_F10 doesn't undo this, since all screen indexes were changed.
    *   [E] expands a compressed Targa to disk for use by other programs.
    *   [F] prompts for another filename and x,y margins; gives picture in
		picture. Works best when VPIC invoked with /m, /x, and /y command
        line options, or with Lock (F7) and Alt_L to set the margins from
        the menu.
	*	[C, D, G, I, M, P, R, S, T, U, W, Z, <, >] are file conversion
        commands; see 'FILETYPES VIEWED' above. The picture is converted in
        the number of colors you are viewing it in, thus allowing 256 <-> 16
        color conversions. For BMP, PCX, TGA, and TIF files VPIC will ask if
        you want a 24 bit file.
    *   [Alt F] momentarily displays filename in case you forgot.
    *   [Alt X] prompts if you want to delete this file; Y deletes.
    *   For marked (tagged) file viewing:
           [ENTER] shows next file in a continuous loop.
           [Alt ENTER] shows previous file in a continuous loop.
           [ESC] breaks the loop and returns to the menu.
    *   [F1-F10] are adjustments for red, green, blue, contrast, and
        brightness which decrease/increase in pairs; ie F1 decreases red, F2
        increases red. [Alt F10] restores the original palette (except after
        a [B] command).
    *   If the picture is larger than the screen the Up/Dn arrows and
        PgUp/PgDn scroll the picture vertically on the screen. This only
        works if you have enough video memory and your display card will
		write to video memory not being displayed (Video 7 won't). VPIC
        doesn't scroll sideways; see 'How VPIC Operates'.
                                                                       Page 5
	VPIC COMMAND LINE OPTIONS - The command line format for running VPIC is:
      vpic [[path]filespec] [/a /b /d /e /g /h /l /mN /0 /r /v /w /xN /yN /z /?]
    where:
    *   The default path is the current drive and directory, and the default
        extensions are BIF, BMP, CUT, GIF, IFF, 5LBM, MAC, PIC, PCX, SCx,
        and TGA.
	*	The /a option starts VPIC in Auto resolution select mode.
	*	The /b option causes VPIC to beep after displaying a file except in
        slide mode or with /r.
	*	The /d option saves files to the directory VPIC was started from;
        the default is the same directory you're viewing. Good for saving
        CDROM pics.
	*	The /e option starts VPIC in 16 color (EGA) mode.
    *   The /g option turn auto-resizing on.
    *   The /h option allows the viewing of hidden files; great for R or X
		rated files which you don't want to appear in the menu normally.
	*	The /l option tells VPIC not to set the video mode. This is used to
        add a picture to a picture already on screen. Works best with /r /m
        /x /y
    *   The /mN locks the video resolution to mode N; N is determined from
        the menu or the configuration file. The 256 color modes are 1-10,
        and the 16 color modes are 11-20. 320x200x256 is mode 1, 640x480x16
        is mode 12.
	*	The /o option tells VPIC not to check for EGA/VGA on startup and
        just use the configuration file info.
	*	The /p option stops VPIC from swapping GIF background color and
        color 0. Good for saving to PCX files for PC Paintbrush.
    *   The /r option immediately returns control to a calling program after
        displaying the picture. Calling program must reset text mode (mode
		co80) if required. VPIC returns an integer, and if negative means:
           -1  Can't find the file specified.
           -2  Not a valid picture file for the extension.
           -3  File read or write error.
           -4  Disk is full.
           -5  Not enough memory for operation.
           -6  An image in a GIF file is larger than the picture.
           -7  Operation not supported.
    *   The /v option disables VESA detection and uses the config file info.
    *   The /w option wait for a keypress after each image in a multi-image
        GIF file. Only works for multi-image GIFs.
    *   The /xN option gives a N pixel left margin for pictures smaller than
        the screen horizontally; default is centered.
    *   The /yN option gives a N pixel top margin for pictures smaller than
        the screen vertically; default is centered.
    *   The /z option inhibits printing the filename of each file when
        showing.
    *   The /? option gives a help screen of command line options.
    *   The /@filename option uses the commands in file filename to do a
        slideshow. The default filename extension is SLD.
    *   If filespec is a filename, the single file will be shown (the
        default extension is GIF for picture files).
    *   If path\filespec is a directory, a menu of all viewable files in
        that directory will appear. Otherwise all files meeting the filespec
        will appear. For example, [vpic d:\pics\*.pcx] would give a menu of
        all PCX files in the PICS directory of drive D, while [vpic d:\pics]
		would give a menu of all viewable files in the PICS directory of D:.

    Options and filespec may be entered in any order. The /r option only
    works in single file mode, where all other work in menu or single file
    mode.
                                                                       Page 6
    EXAMPLES OF VPIC COMMAND LINE OPTIONS

    *   vpic [path\]filename[.ext] shows the single file specified. The
        default path is the current directory, and the default extension is
        GIF.
    *   vpic [path\][filespec] will give a menu of all files in the
        specified path meeting filespec (may contain wildcards). The default
        path is the current directory, and the default filespec is any of
		the viewable files; just entering VPIC will give a menu of all
        viewable files in the current directory. If Path contains . or .., a
        filespec must be given (may contain wildcards). Thus ..\*.* would
        give a menu of all viewable files in the parent of the current
        directory.
	*	vpic /a starts VPIC in auto resolution mode.
	*	vpic /b causes VPIC to beep after a file has been fully  decoded.
        Lets you know when the viewing options are available. Doesn't beep
        in slide mode or when using the /r option.
	*	vpic /e starts VPIC in 16 color (EGA) mode; default is 256 color
        modes.
	*	vpic /h allows VPIC to find and display hidden files in the menu.
        Great for those R or X rated files you don't want to be normally
        accessible. This option doesn't appear on the help screen.
    *   vpic /r filename[.ext] shows the filename picture and then returns
        to DOS (or a calling application program) with the picture still on
        the screen. It is not necessary to change the video mode between
        viewing each file, but it is up to the calling program to reset text
        mode (mode 3) after all viewing is done. The /a, /e, /l, /m, /x, /y
        switches are valid with /r.
    *   vpic /v gives a menu of the files in the current directory, but does
        not look for VESA info from the display card. This is useful if the
        VESA info is incorrect or doesn't support all the modes the card can
        do.
    *   vpic /? gives a help screen for modes and command line options.

    Example:   vpic /m3 /x0 /y0 /r file1 displays file1 in mode 3 in the
               upper left corner. Then, vpic /r /l file2 /x320 /y200
               displays file2 starting at column 320 and row 200 leaving
               file 1 on the screen.
                                                                       Page 7
    SLIDESHOWS

    vpic /@[path\]slidefile[.ext] will do a slide show from commands in
    slidefile. The default path is the current directory, and the default
    slidefile extension is SLD. The path applies to both the slide file and
	all files for viewing, but VPIC allows you to set a different path in
    the command file for the pictures. The commands are placed on separate
    lines, and consist of either:
    a.  A filename (GIF extension assumed) followed by (optional):
        1. Display mode (number) and/or
        2. Animate command (a) followed by optional number of vertical
           retraces between animation steps.
    b.  A delay (viewing time) spec of the form 'd n' (space required) where
        n is the desired viewing time in seconds.
    c.  A path for all the picture files in the form 'p path' (space req'd).
    d.  The statement QUIT to end the slideshow after 1 pass. QUIT may be
        upper or lower case.

    The maximum number of files is 100. To make a slideshow with more than
    100 files, use a looping batch file and multiple slide files with the
    QUIT statement at the end of each slide file. The default animation value
    is 8 (if no number follows the 'a'). The mode is explained below.

    To pause a slideshow press [SPACEBAR]; to end it press [ESC].

    The default viewing time is 5 seconds if no delay spec is given. A delay
    spec applies to all files following in the slide file until changed. The
    first slide is not delayed the first time it is shown. The default
	viewing mode is automatic (whatever fits). VPIC understands comments
    preceded by a semicolon, blank or comment lines, and extra spaces. For
	example, the following slide file contents are understood by VPIC, but
    not recommended:

    d 20       ;Delay for file1.gif & file2.pcx is 20 seconds.
    file1 1    ;First file in slideshow. File1.gif using mode 1.
        file2.pcx ;This is a Zsoft filename with leading spaces.
        ;This is a comment line with leading spaces, next is a blank line.

    p c:\pics  ;The directory for the picture files is c:\pics
    d 10       ;File3 is delayed 10 seconds.
    file3 a30  ;Show file 3, animate at 1 shift every 30 vertical retraces.
        d   15 ;15 second delay file4.gif. Has leading & separator spaces.
    file4      ;Show file4.gif for 15 seconds, then do file1.gif.

    The mode requires a little further explanation. In the above slide file,
    it says to use mode 1 with file1. Modes 1 thru 10 are the VGA (256
    color) modes, and modes 11 thru 20 are EGA (16 color) modes. Most
    display boards only have a few of each type. The Orchid Designer has 4
    VGA modes and 4 EGA modes which appear in the file menu.
        The VGA modes are                  The EGA modes are
        1. 320x200x256   2. 640x350x256    11. 640x350x16   12. 640x480x16
        3. 640x480x256   4. 800x600x256    13. 800x600x16   14. 1024x768x16
    Thus, the slide file says to show file1 in the 320x200x256 mode, and
    show all the others in the default modes (whatever fits).

    VPIC will now create a slidefile for you. In the menu you mark the files
    you want in your slideshow, set the delay (using Alt_D) and then press
    Alt_S. VPIC will prompt you for a filename, and will automatically tack
    on the extension '.SLD'. It saves the current delay, the current path,
    and the files in the order you marked them.
																		Page 8
    DETAILED COMMAND LIST - The following gives details & peculiarities of
    the various commands.

    Keyboard and Mouse Menu Mode Commands.
    *   The [up], [down], [right], and [left] arrow keys move the cursor
        around the menu of files. [PgDn/PgUp] goto next/previous page.
        Pressing a key goes to next file starting with this character. The
        PgUp/PgDn area in the lower right corner allow the mouse to change
        pages.
    *   Pressing the [SPACEBAR or the right mouse button] marks a file for
        viewing or slides, and [SPACEBAR] moves to the next file; it will
        also unmark a previously marked file.
    *   Pressing [ENTER or the left mouse button] will display the marked
		files in the order they were marked. If no files were marked, pressing
		enter or the left mouse button displays the file at the cursor.
    *   Pressing [F1] will bring up the help/menu screen; Enter or Esc will
        return to the menu. Clicking the left mouse button on a command
		activates it, and clicking the right mouse button returns to the menu.
    *   Pressing [F2] will do a slide show of marked files until [ESC] is
        pressed.
    *   Pressing [F3] will display the file size, colors, and filetype on
        the prompt/message line.
    *   Pressing [F4] will toggle between 256 (VGA) and 16 color (EGA)
        modes. Left clicking the mouse on the board name also toggles
        between VGA/EGA.
    *   Pressing [F5/F6] will decrease/increase the default resolution for
        file viewing. In VGA, the default resolution for 320x200 pictures is
        320x200 unless 'lock' [F7] is invoked. Left clicking the mouse on a
        resolution sets that resolution as the default.
	*	Pressing [Alt F6] will list all video modes VPIC thinks you have.
    *   Pressing [F7] goes to LOCK, which forces the default resolution
        (above) no matter what the file size. Pressing F7 again goes to
        AUTO, which automatically selects a resolution which will display
        the whole picture. Pressing F7 again goes back to the normal default
        mode. You can left click the mouse on Lock, Auto, Norm, on line 25
        of the menu to set that mode.
	*	Pressing [Alt F7] allows you to lock a hi-color mode (if your video
		card does hi-color.
	*	Pressing [F8] toggles the wait mode, where VPIC waits for a keypress
        between multiple images in a GIF file.
    *   [F9] prompts for a new path\filespec, and displays a menu of the
        files in the new path meeting the filespec.
    *   [Alt F9] gives a directory tree of the current drive in the menu
        window. The DOS drives are listed on the 2nd line, and may be
        selected with the mouse or by pressing the drive letter key. The
		first time a drive is selected, VPIC scans the drive for all
        subdirectories, and saves this info in a file called $$DRIVEx (where
		x is the drive letter) in the same directory where VPIC is located.
        Subsequent times, the drive data is retrieved from this file, and
        the drive is not scanned. If you added or removed directories, you
        should probably rescan the drive by pressing Alt_S or clicking the
        mouse where it says Alt S on the directory tree screen. The cursor
        keys work the same as in the normal file window, and a directory is
        selected by pressing Enter or clicking on it with the left mouse
        button. The directory tree is folded into 4 columns, and the indent
        level of a directory is shown by the lines preceding the name. The
        PgUp/PgDn and <- -> move the display by clicking these locations
        with the mouse.
																		Page 9
    *   [F10] displays the current path on the prompt/message line.
	*	[Alt C] copies tagged files (or the file at the cursor if none are
		marked) to specified path.
	*	[Alt D] prompts for a new slide [F2] delay time in seconds.
	*	[Alt L] prompts for new fixed margins (a is auto centering).
	*	[Alt M] moves tagged files (or the file at the cursor if none are
		marked) to specified path.
    *   [Alt R] prompts for a new filename to rename the file at the cursor.
    *   [Alt S] creates a slidefile of the marked files; see Slideshows.
    *   [Alt T] tags (marks) all files in the menu.
    *   [Alt U] untags (unmarks) all files in the menu.
	*	[Alt X] deletes tagged files (or the file at the cirsor if none are
		tagged). VPIC confirms before each delete. [Y] will delete it, [N] or
		ESC doesn't, and all other keys are ignored.
    *   Pressing [ESC] ends the program and returns to DOS.
    *   Pressing [Ctrl-Break] or [Ctrl-C] will get you directly to DOS from
        anywhere.

    All other keys are ignored. If errors are encountered, an error message
    appears on the third line from the bottom, and disappears when the
    cursor is moved. The amount of far memory available is also printed on
    the same line. The menu title is the search spec.


    Keyboard and Mouse Commands while Viewing a Picture (except in slide mode)

    *   The up/down arrow keys will scroll the picture by one line if it is
        longer than the screen, provided you have sufficient display memory.
        The [PgUp] and [PgDn] keys will scroll by 10 lines. The Video 7
        extended VGA boards do not support writing to non-displayed memory
        or scrolling pics larger than the screen, so this function is
        disabled for these boards. Straight VGA boards can't scroll in
        320x200x256 mode because the picture takes up all of display memory.
		VPIC will not scroll sideways; see 'How VPIC Operates'.
    *   If the picture size is <= 1/2 the screen width, pressing [2] will
        give a double size image (which may be scrollable) and pressing [1]
        will give the normal size again. For VGA, the picture will be
        changed only in the horizontal direction; this will unsquash some
        320x400 pics so the aspect ratio is correct.
    *   Pressing [+] will increase the resolution (320x200 to 640x480, etc).
    *   Pressing [-] will decrease the resolution; useful if 800x600 rolls.
    *   Pressing [/] or [?] or clicking the right mouse button gives a
        help/menu screen of commands available while viewing.  Left clicking
        the mouse on the command or pressing the command key activates the
        command (except for F1-F10). Right clicking the mouse or pressing
        Enter or Esc removes the help/menu overlay.
    *   [Alt_F] displays the current filename momentarily.
    *   Pressing [ENTER] will return to the menu or DOS, or show next file
        for marked menu mode.
    *   Pressing [Alt ENTER] will show the previous marked file (if any are
        marked).
    *   Pressing [ESC] will end the display and return to the menu.
    *   Pressing [Alt-X] will prompt you to delete the current file. If you
        answer [y] it will be deleted, [n] or ESC it won't, and all other
        keys are ignored.
                                                                       Page 10
	NOTE: The file conversion options now work when viewing in hi-color modes
    for BMP, PCX, TGA, and TIF files. File conversions are done in whatever
    mode you are viewing with (EGA, VGA, or hi color), and save to the same
    filename with the appropriate extension. All the conversion commands
    check if the default filename is present, and prompt for a new name if it
    is. They create a file on the current drive and directory with the same
    dimensions as the file being viewed. If you screw up at the new filename
    prompt, hit [Ctrl-C] to escape immediately to DOS; this will usually
    preserve a file you don't want to write over. The safest bet is to view
    files in another directory using the -d command line option, since the
    new file is saved to the default directory, which is the drive and
    directory you ran VPIC from. I put VPIC in my UTIL directory, and have my
    PATH set to include UTIL, so I can run VPIC from any drive or directory.

    *   Pressing [A] will 'animate' a picture by rotating the palette
        periodicly. This is especially effective on fractals, where large
        areas tend to be the same color. Pressing [SPACEBAR] will pause the
        palette rotation, and pressing [ENTER] will stop it and return to
        the command mode. Thus, by waiting for an especially nice pattern
        and then pressing [ENTER], the pattern can be written to a file
        using the file save commands. Pressing [ESC] will return to the
        menu. The rate of palette rotation can be increased/decreased with
        the up/down arrows (slow) or PgUp/PgDn (fast).
    *   Pressing [B] will convert a color VGA picture to a 64 shade gray
        picture. The resulting image can be saved with the gray palette.
        Only works in VGA. The original palette cannot be restored with [Alt
        F10] after [B], but you can always redisplay the picture to see it
        in color again.
    *   Pressing [C] will create a Dr. Halo CUT file with the same filename
        and extension CUT. A palette file (.PAL) will also be created.
    *   Pressing [D] will create a Deluxe Paint II (Electronic Arts) file.
		VPIC will prompt for a normal or enhanced DP II file, and for
        compressed or uncompressed.
    *   Pressing [E] will expand a Run Length Encoded (RLE) compressed Targa
        file. If the file is not a Targa or is already uncompressed, this
        key does nothing. You have to supply a new filename.
    *   Pressing [F] will prompt for a new filename to overlay on the
        existing picture. It also prompts for x and y offsets (in pixels).
        The colors may not be exactly correct since the new picture uses a
        best match to the palette of the original picture, and some colors
        may be missing. This feature is handy for building composite
        pictures; ie, four 320x200 pics on a 640x400 screen with the screen
        size 'locked' using F7 or /m on the command line. Specify where you
		want to place the first picture on the command line when VPIC is
        executed using the /x and/or the /y options, or use the Alt_L
        command from the menu; the filename display is suppressed using the
        /z option on the command line. Alternately, you can have an all
        black picture as the first picture, then overlay the others onto it.
        The composite picture can then be saved in any of the file formats
		VPIC supports. You can also specify the /mN resolution mode from the
        command line to lock the video mode to the desired composite size;
        it can be changed once you are in the menu. Later pictures use the
        first pictures palette (if all are 256 color), so it's a good idea
        to pick the first picture with the widest range of palette colors;
        this gives the best rendition of the other pictures. A good way to
		invoke VPIC for this mode is `vpic /x0 /y0 /z /m3'.
																		Page 11
    *   Pressing [G, I, M, U, <, or >] will create a GIF file. [G] is for
        non-interlaced, and [I] is for interlaced, [M] is for mirror image,
        [U] is for upside down (inverted), [<] is rotate image 90 degrees
        CCW, and [>] is rotate image 90 degrees CW.
    *   Pressing [P] will create a PC Paint or Pictor PIC file.For EGA it
        prompts for a PC Paint or Pictor file.
    *   Pressing [R] will create a ColoRix SCx file, where x is a function of
        the screen size. If in EGA, will prompt if you want an EGA Paint or
        ColoRix file.
    *   Pressing [S] will make a TIF file. Prompts for a 24 bit TIF.
    *   Pressing [T] will make a Targa 16 or 24 file. VPIC defaults to Targa
        16, and prompts for Targa 24.
    *   Pressing [W] will create a Windows BMP file, and prompts for a
        compressed or uncompressed file. Be aware that compressed BMPs are
        sometimes larger than uncompressed.
    *   Pressing [Z] will create a Zsoft PCX file. Prompts for a 24 bit PCX.
    *   The following keys control the picture tone as follows:
        [F1]   Decrease red content of picture.
        [F2]   Increase red content of picture.
        [F3]   Decrease green content of picture.
        [F4]   Increase green content of picture.
        [F5]   Decrease blue content of picture.
        [F6]   Increase blue content of picture.
        [F7]   Decrease contrast of picture (VGA only).
        [F8]   Increase contrast of picture (VGA only).
        [F9]   Decrease brightness of picture (VGA only).
        [F10]  Increase brightness of picture (VGA only).
        [Alt-F10]  Restore original palette after you thoroughly mess up the
               colors. Doesn't work after a [B] grey shade conversion.
        [V]    Reverses the current palette; interesting effect especially
               for black & white images.
    After a little experimenting, a 'washed out' 256 color picture can be
    greatly improved by using [F1-F10], and you can always start over by
    using [Alt-F10]. To retain a black background in a VGA picture, the
    brightness should be decreased when the contrast is decreased. If you
    have really improved the picture, you can then save it any of the
    supported formats. VPIC will prompt you if the file exists in the default
    directory, and you have the option of overwriting it or giving a new
    filename. This works really well with images created on flatbed scanners,
    which are sometimes 'washed out'.

    All other keys are ignored. Pressing [Ctrl-Break] or [Ctrl-C] will go
    directly to DOS.
																		Page 12
    DECODING OTHER FILE FORMATS

    Each picture is viewed in whatever mode you are presently using (VGA or
    EGA) and at the resolution you have selected. If you choose to save to
    another file format which differentiates between VGA and EGA modes, it
    will be converted using the appropriate rules. This makes EGA <-> VGA
    conversions possible, which is not supported by most paint programs.

    The decoding for other than GIF is not as fast as could be done, but the
    added versatility more than compensates for this. For example, EGA PCX
    files can be very quickly decoded to EGA, but are in the wrong format
    for VGA, and considerable manipulation is required to produce a VGA
    image. For all formats, the method of viewing is to decode to a buffer
    for a single line at 1 byte/pixel, then copy this line to the display in
    whatever mode you are using. This is a compromise for most file formats,
    since they are geared to EGA or VGA, and display time suffers, but it
    makes the code much simpler. Besides, the other formats are supported
    mainly to allow easy conversion to GIF, which is the preferred format
    for storage since it gives the smallest file size.

    The BMP 24 bit, PCX 24 bit, TGA 16-32 bit, and TIF 24 bit files are
    viewind in hi- color if you have it, and color reduced to 256 colors if
    you don't, so the color rendition is pretty good. The Pegagsus Imaging
    Corp's SHOWTGA and Image Tools TGAPIC do a better job of color reduction,
    but only work for TGA files. If you use SHOWTGA (which converts to a
    Targa 256 color file), you can use VPIC to convert this to GIF.


	ADDED FEATURES

	VPIC is meant to fill a void not covered by paint programs, and to allow
    very convenient file viewing and conversion between file formats. It is
    not meant to compete with the paint programs, and in general if a Paint
    program does something well (such as resize a picture to fill the screen
    or cut out a portion of the picture), VPIC will not attempt to do it, but
    you can use VPIC to convert from/to the Paint program file format. On the
    other hand, if you think of a feature which would enhance VPIC, please
    let me know, and I will consider adding it to the program.


    KNOWN PROBLEMS

    1.  The ATI VGA Wonder 1024x768x16 mode and all the S3 16 color modes
        use 2 pixels/byte, unlike any other VGA or EGA mode. It is supported
        for most viewing and conversions, but will not view or convert to
        EGA Paint files, ColoRIX EGA files, or Pictor EGA files, since these
        are on an EGA plane basis.
    2.  If you have a board with the Trident TVGA 8900 VGA chip, don't run
		MAMODE before running VPIC, or run MAMODE 64 if you were in a 128K
		bank mode. Some of these cards return VESA infa about hi-color modes
		which they can't do, so you may have to run 'vpic /v'.
	3.	Most boards using the S3 SuperVGA chip don't return correct VESA info,
		so you will have to configure with either S3.CFG or S3NEW.CFG and then
		do 'vpic /v' to make VPIC ignore the incorrect VESA info.
	4.	ATI boards in general will not enable the 800x600 modes unless you
		pick the right monitor in ATI's install program. I had to use a custom
		configuration to anable the 800x600 modes.
    5.  For the Diamond Viper, tou must first load the VESA driver, which is
        on your Installation/Utilities/Drivers diskette and called 'vprmode'.
        You should copy this file to a directory in your path. Enter 'vprmode
        vesa' and the screen should show "Viper VESA BIOS installed". Now,
        VPIC will work fine except for animation; the Viper doesn't supply
        the vertical retrace signal VPIC needs.
																		Page 13
    SUPPORT FOR OTHER SUPERVGA BOARDS

    I will try to support other VGA boards with extended VGA modes if the
    owners will write me with the details of how to set the various modes,
    and how to bank switch the display memory. Of course, if you also
	register VPIC I will give the problem more consideration. Use of a board
    is mandatory, since I can't tell if the new routines work unless I can
    try them.

    The bank switching Info for some of the 'not so common' VGA boards is
	hard to come by,  and is needed if VPIC is to support extended VGA modes
    for these boards. A VGA board needs to bank switch for extended modes
    because there is only a 64K window in the PC address space for graphics
    memory (from A000 to AFFF), and extended modes require more than 64K of
    memory; 640x480x256 requires 307200 bytes of memory, or about 4.7 'banks
    of 64K'. Bank switching is a means of mapping the (A000 to AFFF)
    graphics address space into 64K chunks of actual display memory. The
    method of bank switching is determined by the VGA chip used on the
    display board, and what I need is info on how to switch banks and how to
    set the various modes the board supports.


	USEFUL TECHNIQUES

    Running With your Favorite Options

	If you like to run VPIC with a particular set of options,  you can put
	VPIC in a directory NOT in your path, and make a batch file which IS in
	your path which calls VPIC with the options as follows:
      @echo off
      x:\vpicdir\vpic /options %1 %2 %3 %4 %5 %6
	where x:\vpicdir is the drive and directory where VPIC resides, and the
	%1..%6 pass other options to VPIC.

    Batch Conversions (Sort of)

	If you run VPIC in auto mode (/a or F7) and mark the files you want to
    convert, the first picture is displayed when you press Enter. When the
    picture is on the screen, you press the desired conversion command,  and
	when VPIC is done with the conversion, you just press Enter to view the
    next picture, and so on. With this technique, you can mix file types for
    conversion.


	HOW VPIC OPERATES

    VPIC decodes a picture file directly to screen memory on your display
    card. The other technique is to decode to CPU (normal) memory and then
    copy the picture (or a portion of it) to screen memory. Both ways have
    their advantages and disadvantages.
																		Page 14
    DECODING DIRECTLY TO SCREEN MEMORY (LIKE VPIC).

    ADVANTAGES - This method offers the best speed, since it doesn't have to
    go thru the intermediate step of decoding to CPU memory first. It will
    also always decode large pictures, even above the maximum display size.
    The CPU method usually doesn't have sufficient memory for large pics,
    like 1024x768x256, or even 800x600x256 if you have any TSR's in memory;
    these pics require 1 byte/pixel.

    The file conversion options uses the current palette data and the
    current data in display memory to make the new file. Thus, what you see
    is what you get in a new file format, in whatever mode you are viewing
    (256 or 16 color).

    DISADVANTAGES - Because the picture is decoded directly to screen
    memory, any picture data beyond the right edge of the screen is thrown
	away. For this reason, you can't scroll left and right.  VPIC will
    continue to decode to display memory beyond the bottom of the screen
    until it runs out of memory, set by BANKS in the configuration file. If
    the card wraps memory beyond the bottom of the screen back onto the
	screen, like the Video 7 cards, then VPIC doesn't decode beyond the
    screen bottom.

    Thus, if your display card doesn't wrap display memory, you will be able
    to scroll the picture up and down.

    If the screen doesn't display the whole picture width, any converted
    file will be truncated on the right edge to the screen size.

    DECODING TO CPU MEMORY FIRST

    ADVANTAGES - If there is sufficient CPU memory to hold the whole picture
    (at 1 byte/pixel), a rectangular area equal to the screen size can be
    copied to display memory, which allows you to scroll around the picture
    in all directions.

    DISADVANTAGES - If there is not sufficient CPU memory, most of the
    programs will refuse to display the picture. There is also the wait
    while the picture is decoded to CPU memory before you get to see it.
																		Page 15
    VPIC TERMS AND CONDITIONS

    NOTICE - VPIC is not free software. If you paid a "public domain" vendor
    for this program, you paid for the copy and mailing service only, and
    not for the program itself. Nothing ever gets to the author of the
	program from such a sale. You may evaluate VPIC for 10 days, and if you
    find it useful, you must register your copy.
        There are several incentives for registering VPIC 6.x. You get the
    secret to disabling the shareware message when VPIC quits, you get free
    technical support (which can be quite valuable at times), you can get
    updates from me (with about 1M of good GIFs) for $5 ($10 foreign) to
    cover shipping and handling, and you allow me to stay in business and
    improve the program. VPIC has been evolving since 1987, and new features
    and/or video card support are added all the time. I have tried to make it
    as versatile and fast as possible, while still retaining the ease of use
    and intuitive operation.

	VPIC is copyrighted software, and all rights are reserved. VPIC may not
	be changed or modified in any way except by the author. VPIC is
    SHAREWARE, and may be freely distributed, as long as it remains in its
    complete form with all support, documentation, and configuration files.
    It may be used for a ten day free trial period. Regardless of how the
    copy is obtained, it is requested that all users comply with the
    following licensing/registration provisions if they continue to use it
    after the 10 day trial period. Use of VPIC after the 10 day free trial
    period constitutes acceptance of these terms.

	1.	$25 per copy for individual users. Users can feel free to use VPIC
        for anything. I need your name and address for my records, and you
        are entitled to:
        a. Use all updates at no cost (except shipping and handling; see
           below) provided the registration fee hasn't changed.
        b. Technical support either by phone (you call me) or by letter.
        c. If you order the latest version along with your registration (see
           below), you also get a printed manual.
    2.  Site License: $125 per 10 copies if used or distributed by you, or
        as part of your product. All users would be registered collectively
		under your name, but can fell free to use VPIC for anything. Update
        requests and technical support would be thru you (since I don't know
        the names of the individual users) and would be distributed by you
        to the users.
    3.  Quantity discounts: (Only one disk provided, you keep track of users
        and provide support)
        10 to 99: $17.50 per copy.
        100 to 1000 up: $12.50 per copy.
        1000 up: $10 per copy.
		All registered users can feel free to use VPIC for anything. You can
        get technical support from me, and pass it on to your customers.
        Please provide me with a list of the user names and addresses, so I
        can honor update requests.
    4.  a. $1.50/copy royalty if used as part of a DEMO; a demo is not part
           of your product, but is a means of advertizing your product.
        b. $3/copy royalty if used as a utility for running your product.
		   The maker of the demo/product must be a registered user. If a
		   recipient of the disk uses VPIC for other purposes (not part of
           the demo or product) he should register. You should sign a
           royalty agreement with me, and make payments annually. You may
           estimate the yearly usage, and then correct it from year to year.
           You should supply to me a written statement listing the copies
           shipped each year.
																		Page 16
    For foreign orders, please send a check drawn on a US Bank,
    International or US Postal Money Order, Travelers Checks, or cash, since
    the banks here charge up to $60 collection fee for foreign checks.

	For all the above, VPIC should be distributed intact, with all
    documentation (DOC files), support programs (CVPIC, CONFIG, and
    WHICHVGA), and configuration (.CFG) files. Archived form is OK to meet
    this requirement, since it minimizes disk space, if you supply the
    un-archiving program.

	A user may install VPIC on more than one machine, provided he is the
    only user on each machine. The registration and license policy is
    similar to a book, which can be taken with you but used only by you.

    Please use the enclosed registration/order form since it allows me to
    keep better records and keep up with the newer VGA boards.

    UPGRADES FROM PREVIOUS PROGRAMS AND UPDATES

    You may use all updates (with the same registration fee) free once you
    have registered VPIC. You may upgrade to VPIC 6.x for the difference in
    registration fee. If you are already registered for VGIF or ZS (any
    version) you may upgrade to VPIC for an additional $15. Upgrading from
    VPIC 5.x or below is $10. In any case, if you want to get the latest
    version. please add $5 ($10 foreign) to cover shipping and handling.
    Since VPIC is updated regularly, I do not send notices, but it gets
    around quickly to most graphics oriented BBS's, and is available at
    Compuserve in Data Library 3 of the PICS forum.


    ORDERS FROM ME

    Only registered users of ver 6.x can get VPIC updates from me. If you
    order a VPIC update from me, please send $5 ($10 outside the USA and
    Canada) for materials, postage, and handling. As a bonus I will fill the
    rest of the disk with good pictures. Please specify 1.2Meg 5.25" disk or
    1.44M 3.5" disk, and EGA, VGA, or SuperVGA (640x480x256 etc) so I'll know
    what pictures to send. I have some 1024x768x256 pictures, but most are
    about 500K in size and eats up a sizeable portion of a disk, so if you
    want one of these there wont be much room for other pictures. If you want
    additional disks of pictures, please add $5/disk (3 disks max). I have
    quite a few 640x480x256 pictures (mostly by Boris Vallejo), only 1 disk
    full of 320x200x256 pictures and 1 disk of EGA pictures, and a few larger
    sizes.

	Data on the various file formats VPIC supports is available free if you
    request it with your order, but will use about 200K of disk space.

    Please use the enclosed registration/order form since it allows me to
    keep better records and keep up with the newer VGA boards.

    DISCLAIMER

    All warranties are disclaimed, including damage to hardware and/or
    software from use of this product. In no event will I be liable to you
    for any damages, including lost profits, lost savings or other
    incidental or consequential damages arising out of your use or inability
    to use the program, or any other claim by any other party.
																		Page 17
    SPECIAL VERSIONS - Contact Bob Montgomery for:
	  1. Special versions of VPIC tailored to your application.
      2. Other graphics oriented applications (file conversion, etc).
    Any suggestions or comments should be mailed directly to me at the
    address shown when you quit VPIC.

    GRAPHICS ORIENTED BBS'S

    Compuserve PICS Forum (My ID is 73357,3140)
    Magic City USA, Orlando, Florida 1.0 Gig Online;  Modems: 2400 baud
        (407) 628-2546, HST (407) 628-0185
    Tsunami BBS, Half Moon Bay, Calif. (415) 726-2726
    PC Rockland, S. Nyack, NY (914) 353-2538 [Freeboard] 1.6 Gbyte Online
    Megabyte Image Center   (918) 492-0087 1200/2400/9600 baud USR HST
    Pictures and Scanning Services:
    Event Horizons: Catalog, 311 Avenue "B", Suite 209, Lake Oswego, OR
     97034 Order:503-697-7700,Modems:(1200/2400) 503-697-5100,
     (9600HST) 503-697-5126
    JPix Graphics Imaging: Modems:(2400) 219-267-2188, (9600) 219-267-8528
    Tech's Warehouse BBS, Jacksonville, Florida (904) 260-9283                                            APPENDIX A - REVISION HISTORY
                               APPENDIX                                Page A1
    HISTORY OF VGIF

    VGIF ver 1.1  1-13-88
    *   Added test for EGA adapter.
    *   Fixed menu colors.
    *   Allow [ESC]ape from marked file viewing.
    *   Added [Ctrl-Break] or [Ctrl-C] exit to DOS anywhere.
    *   Added 'disk full' notification when creating picture file.
    *   Added critical error handler for 'drive not ready' errors.

    VGIF ver 1.2  1-15-88
    *   Changed name to VGIF.
    *   Slide mode now ignores the end of file mark in slide file, and any
        key will now end slide mode.
    *   Added slides to menu mode if [S] pressed-shows marked files as
        slides until a key is pressed.

    VGIF ver 1.3  1-21-88
    *   Added better error checking to GIF file decoding. Notifies if bad
        GIF file.
    *   Fixed error reporting bug in single file mode.

    VGIF ver 1.4  2-9-88
    *   Added instantaneous screen update in slide mode from menu or command
        (SLD) file.
    *   Added the /r option which allows an application program to call VGIF
        to view a file and then regain control.

    VGIF ver 1.5  3-2-88
    *   Added [PgUp] and [PgDn] keys to scroll by 10 lines at a time.
    *   Added a max pic height of 819 lines so EGA buffer would not overflow.
    *   Greatly improved color reproduction for 'problem' pictures (such as
        FROG, ARCHIT, PUFFIN, VEGTABLE, etc). These pictures typically have
        more than 16 colors. Selected colors on basis of frequency of use
        where possible.
    *   Fixed following bugs:
        1. Line buffer would overflow into other variables if pic width was
           > 640 pixels, causing strange results.
        2. Didn't recognize the end of image marker correctly. This would
           cause the palette to change when the image was done.

    VGIF ver 1.6  3-11-88
    *   Fixed a bug in handling multiple images. First noticed when viewing
        WHIMMI.GIF.
    *   Use same palette for multiple images, and get best color match.
    *   Added [L] and [S] commands while viewing a picture. These allow you
        to create full size paint program files.
                                                                       Page A2
    VGIF ver 2.0  3-26-88
    *   Added the ability to view long GIF files ( > 819 lines) without
        wrapping the display.
    *   Added the [C] and [H] (Dr. Halo) file creation option while viewing.
    *   Added the [L] and [S] prefix to paint program file creation commands
        while viewing to save long pic files.
    *   Added the Info and Help commands in menu mode.
    *   Deleted the # requirement to specify a directory from the command
        line. The program now looks for a directory which meets the spec on
        the command line. If none is found, it assumes the spec is for a
        single file.
    *   Added [F1 - F10], and [V] palette control keys while viewing a file.

    VGIF ver 3.0  5-2-88
    *   Added VGA capability, and support for Tseng extended VGA modes
        (640x480x256 and 800x600x256).
    *   Determines and displays available modes for your system.

    VGIF ver 3.1  5-11-88
    *   Fixed a bug in dir/file spec from command line. Now accepts VGIF
        d:\dir\*.gif or VGIF d:*.gif, although the [\]*.gif is not required,
        since this is the default filespec.
    *   Fixed a bug in forced EGA when doing slides, where an interlaced pic
        displayed at double size would have a 'venetian blind' effect.
    *   Changed so pics larger than 320x200 are shown in 640x480 VGA; can
        get 800x600 by pressing + key.
    *   The EGA mode on the Orchid VGA card appears squashed vertically.
        This is normal, and cannot be corrected without reprogramming the
        parameters for mode 16, which would change the vertical retrace
        frequency and probably cause your monitor to roll.

    VGIF ver 3.2  5-26-88
    *   Added 500 file menu, and assy language text screen updating; now
        super fast.
    *   Fixed a bug which caused the Vega VGA card to hang up.

    VGIF ver 3.3  6-9-88
    *   Added user spec of video mode for non-Orchid VGA boards.
    *   Added GIF and Pictor save of current screen for VGA/EGA pics.
    *   Added prompts to screen for conversion to other formats.
    *   Removed conversion starting at first visible row-now does whole pic.

    VGIF ver 3.4  6-23-88
    *   Fixed a bug in the GIF save routine.
    *   Added color, contrast, and brightness adjustment in VGA.
    *   Fixed a bug in menu mode for marked files.
    *   Added /n command line option to stay in 640x480x256 for VGA pics.

    VGIF ver 3.5  7-14-88
    *   Fixed some misc minor bugs.
    *   Added increase/decrease resolution command while viewing 16 color
        VGA pics (using the /e option).
    *   Added slide mode for VGA.
    *   Added lock mode option to start pics from the menu in a desired mode.

    VGIF ver 3.6  8-8-88
    *   Fixed some bugs.
    *   Fixed EGA slide show.
                                                                       Page A3
    VGIF ver 3.6A 9-10-88
    *   Fixed 1024x768x16 mode.

    VGIF ver 4.0  10-20-89
    *   This was a beta test version which got out. It had lots of bugs,
		which were fixed in VPIC.

    HISTORY OF VPIC

    VPIC ver 1.0 & 1.1 12-27-88
    *   Beta test versions.

    VPIC ver 1.2  12-27-88
    *   Added configuration option for various display boards.
    *   Added VGA file conversion for all previous Paint programs supported.
    *   Added Deluxe Paint 2 conversion.
    *   Added Targa 16 file conversion.
    *   Added EGA/VGA toggle from menu.
    *   Added default resolution select, and Mode Lock key from menu.
    *   Added WAIT option to pause between images of multi-image files.
    *   Added MAC, PCX, & Colorix file viewing capability. Others will be
        added in later versions.
    *   Added 'animate' while viewing.
    *   Fixed VGA 16 color palette.

    VPIC ver 1.2A  1-4-89
    *   Fixed MAC -> GIF conversion
    *   Fixed CVPIC for ^Z as EOF char.
    *   Fixed 16 color palette for other file formats if VGA 16 colors.

    VPIC ver 1.3  2-2-89
    *   Fixed cursor in menu.
    *   Fixed 'lock up' if GIF header size wrong (640x350 labeled 350x640).
    *   Now pauses pic if file error and waits for key press-can see partial
        pics in bad files this way.
    *   Shows GIFs with MAC headers (1st 128 bytes are not GIF standard); if
        F3 (info) pressed shows if file has a MAC header.
    *   Fixed so views and saves new Zsoft VGA PCX files which include
        palette at end of file. Still doesn't load PAL files.
    *   Fixed Zsoft file displays and saves.
    *   Added Wait toggle (F8) which pauses between images in multi-image
        GIFs, and allows conversion to other filetypes.
    *   Made MACs black on bright white instead of gray.

    VPIC ver 1.4  3-15-89
    *   Added printout of filename while decoding except in slide mode.
    *   Added help while viewing a picture; press [?] or [/].
    *   Added delete a file option [X] (with query) while viewing.
    *   Added hit [ESC] while decoding to abort picture.

    VPIC ver 1.5  3-23-89
    *   Fixed bug in 'Escape while decoding' which would hang system.
    *   Fixed EGA x2 display for interlaced files.
    *   Fixed problem with saving a pic after scrolling.
    *   Fixed palette in animate, so save will use current palette.
    *   Fixed problem with bad files in slide mode that would hang computer.
    *   Fixed error display in /@ slide mode and single file mode.
                                                                       Page A4
    VPIC ver 1.6  4-5-89
    *   Fixed bugs in slide show from command file. Added comments.
    *   Added resolution option for each picture in slide command file.
    *   Fixed miscellaneous minor bugs.
    *   Added configurable menu color.

    VPIC ver 1.7  6-13-89
    *   Added Trident chip set support (for Maxxon and Logix VGA boards and
        maybe the ATI board).
    *   Fixed a few bugs concerned with putting & getting lines from the
        display screen.
    *   Fixed problem with Ctrl Z at end of slide definition file.

    VPIC ver 1.8 6-28-89
    *   Added EGA Paint viewing/conversion.
    *   Fixed conversion to 800x600 ColoRIX file.
    *   Fixed other minor bugs.

    VPIC ver 1.9 7-19-89
    *   Added inverted, mirrored, and rotated GIF saves.
    *   Fixed a bug in the Dr Halo CUT file creation.
    *   Added menu updating after file creation or deletion.
    *   Added new path spec feature from menu with [F9] key.

    VPIC ver 2.0 8-6-89
    *   Added Pictor/PC Paint PIC, Dr. Halo CUT, Deluxe Paint LBM, and Targa
        16 or 24 file viewing capability.
    *   Fixed a bug in the palette selection for EGA.
    *   Fixed bug which would not show VGA for the plain vanilla VGA config.
    *   Fixed a bug in the Zsoft PCX display for extended EGA modes.
    *   Added Auto resolution option and switch from the menu [F7].
    *   Made cursor stay fixed when files are created or deleted.
    *   Added Chips & Technology support. (VPIC 2.0A)
    *   Fixed Zsoft save at higher screen resolution than pic. (VPIC 2.0B)

    VPIC ver 2.1  9-5-89
    *   Fixed a bug in LBM viewing
    *   Added ColoRIX 16 color SCR and SCP view/create.
    *   Speeded up GIF decoding about 50%.

    VPIC ver 2.1A 9-10-89
    *   Fixed a memory allocation problem for slides.
    *   Made small increase in speed.
    *   Fixed directory callout (*.PIC, etc).
    *   Re-enabled [ESC] for GIF viewing.
    *   Fixed Chip & Tech bank switching routine.
    *   Fixed Deluxe Paint II (LBM) file creation.

    VPIC ver 2.2 10-23-89
    *   Fixed problem in new path command ([F9] from menu).
    *   Fixed intermittent GIF decode problem.
    *   Program now tells if GIF image and screen sizes conflict.
    *   Menu now correctly displays file sizes larger than 1 Mbyte.
    *   Now lists & displays Electronic Arts IFF files (same as LBM).
                                                                       Page A5
    VPIC ver 2.3 12-13-89
    *   Fixed C_T bank switching.
    *   Added Everex 678, Ahead (B chip), and Genoa 6400 support.
    *   Fixed bugs in GIF and Pictor decoder.

    VPIC ver 2.4 12-28-89
    *   Fixed bug in GIF decoder for very wide pics.
    *   Fixed palette for many file types.
    *   Fixed slide mode from menu.

    VPIC ver 2.5 1-28-90
    *   Fixed single file and /r modes.
    *   Fixed Pictor viewing for B&W pics.
    *   Fixed MAC header interpretation problem.
    *   Fixed memory clearing for pictures longer than the screen.
    *   Added F10 to menu to display current path. Menu no longer shows
        complete path (only filespec) to avoid clutter with long paths.
    *   Deleted path from filename display when showing picture.
    *   Added SCY conversion for ColoRIX.
    *   Added Zymos VGA chip support.
    *   Corrected CVPIC to allow more than 9 banks in config file.

    VPIC ver 2.6 1-28-90
    *   Fixed palette for 2 color GIFs.
    *   Fixed SCU display in 1024x768x16 mode.
    *   Fixed Pictor EGA and ColoRIX EGA slide viewing.

    VPIC ver 2.7 3-17-90
    *   Fixed GIF bug and palette for files with local color maps.
    *   Added /b command line option to beep after a picture is decoded
        except in slide modes.
    *   Added Alt_F command while viewing a picture to momentarily display
        the file name.
    *   Fixed Targa viewing for all sizes; now handles RLE images too.

    VPIC ver 2.8 3-27-90
    *   Added /h command line option to find hidden files.
    *   Changed menu display to allow up to 8 modes for VGA or EGA.
    *   Fixed palette in Dr. Halo CUT files.
    *   Added Tseng 4000 chip support.

    VPIC ver 2.9 5-23-90
    *   Fixed Targa module to handle all 8 thru 32 bits/pixel formats.
    *   Added copyright messages.
    *   Fixed PCX viewing for gray scale files.

    VPIC ver 2.9A 7-1-90
    *   Fixed Targa module for files which don't follow the compression
        rules of 'don't overrun lines'. Added TGA expand option [E] while
        viewing a RLE compressed Targa file.
    *   Fixed conversion routines so they save the pictures size. This was a
        bug that crept into ver 2.9.
    *   Added ESC to abort deleting a file with [Alt_X].
    *   Added file types (where applicable) to the info command [F3] from
        the menu.
    *   Added uncompressed ColoRIX SCO file (1024x768x256) support.
    *   Fixed a bug in CVPIC.
    *   Fixed a bug which prevented working with DOS 4.x.
                                                                       Page A6
    *   Added Deluxe Paint II enhanced viewing and save capability.
    *   Fixed a color bug in Targa 32 viewing.

    VPIC ver 3.0 9-15-90
    *   Added capability to view the new GIF89a files, and FRA fractal files.
    *   Added delay and user response features of GIF89a.
    *   Fixed a bug which would hang the computer if you deleted the last
        viewable file from a directory.
    *   Added prompt for a file conversion, allowing you to escape.
    *   Added C&T, as well as the previous C_T, which VPIC will accept as
        the Chips & Technologies VGA chip in the config file.
    *   Fixed memory allocation bug in PCX creation for 1024x768x256 images.

    VPIC ver 3.1 9-25-90
    *   Added flexibility to slide mode. Always decodes to memory and can
        change delay for files; see the section on 'vpic /@slidesfile`.

    VPIC ver 3.2 10-29-90
    *   Fixed the bank switching for the Trident 8800 chip.
    *   Fixed a palette problem when viewing Targa files.

    VPIC ver 3.3 11-5-90
    *   Fixed problem with lines on VGA pics in slide mode.
    *   Added animate command in slide command file, and speed control for
        animation.
    *   Fixed MCGA 16 color palette.
    *   Fixed ATI 1024x768x16 slide mode.

    VPIC ver 3.4 11-21-90
    *   Fixed most conversion routines so they work in ATI 1024x768x16 mode;
        can't do EGA Paint or 16 color ColoRIX, or Pictor EGA files.
    *   Fixed most viewing routines so they work in ATI 1024x768x16 mode;
        can't do EGA Paint or 16 color ColoRIX, or Pictor EGA files.
    *   Fixed bugs in conversion for pics less than screen width wide.
    *   Cleaned up numerous small bugs.
    *   Added BIF Binary Image File from B&W image capture boards.

    VPIC ver 3.5 12-15-90
    *   Added 64 shade gray conversion for VGA images (press b while viewing).
    *   Added auto-centering for pictures smaller than the screen.
    *   For slides, now displays as much of picture as memory will allow.

    VPIC ver 4.0 02-13-91
    *   Added GIF89a features including transparent color, variable size
        plain text, user input, variable delay, and display of comments.
        Works in all EGA and VGA modes.
    *   Fixed all file conversions so they work with centered images.
    *   Improved palette selection, and made hi contrast help messages.

    VPIC ver 4.0a 02-20-91
    *   Added OAK and new ATI (with normal 1024x768x16 mode) card.
    *   Added `whichvga' program to try to identify your VGA chip.
                                                                       Page A7
    VPIC ver 4.1 03-15-91
    *   Added Microsoft Windows 3.0 Bitmap BMP file viewing/saving in
        compressed or uncompressed format. Sometimes uncompressed is smaller
        than compressed.
    *   Changed VGA chip designators, added VGA chips; see CONFIG.DOC. Be
        sure to use the version of CVPIC supplied with this version of VPIC.

    VPIC ver 4.2 04-10-91
    *   Fixed palette bug which would reverse black and white in some pictures.
    *   Fixed menu when disk was rescanned.

    VPIC ver 4.3 04-27-91
    *   Added x and y offset, and inhibit filename display, from command
        line using /x, /y, and /z options.
    *   Added overlaying of pictures onto display using the 'F' command
        while viewing a picture.

    VPIC ver 4.3a 05-05-91
    *   Fixed ATI VGA Wonder scrolling.

    VPIC ver 4.3b 05-15-91
         Fixed EGA palette.

    VPIC ver 4.4 07-09-91
    *   Added mouse support for the menu screen (so far).
    *   Added Viewpoint picture viewing (.PIC files).
    *   Added wider selection of menu colors; see CONFIG.DOC.
    *   Added a mode set from the command line.
    *   Added 1280x1024 EGA modes (DEFINICON.CFG)
    *   Fixed a bug in the BMP decoder for OS/2 PM files.
    *   Fixed a bug in slides mode.

    VPIC ver 4.5 08-05-91
    *   Added full VESA autodetect and use for all 16 and 256 color modes.
    *   Added mouse support in the menu.
    *   Added Tseng ET-4000 HiColor (32K colors) support for Targa files.

    VPIC ver 4.5a 08-15-91
    *   Did some cosmetic fixes for mouse operation.
    *   Marked files now don't stay marked when you change directories.
    *   Added 2 pages of comment storage for GIF89a file.

    VPIC ver 4.6 08-23-91
    *   Fixed a VESA related problem with late STB boards.
    *   Added /v command line option to ignore VESA info and use config file
        data.
    *   Fixed a Windows BMP problem; removed compressed option for conversion.
    *   Fixed GIF89a with comments problem.

    VPIC ver 4.7 never released
        Someone tried to add the Dark Avenger virus to VPIC in the Boston
        area. You can't change a single byte in VPIC or it will refuse to
        run, since it does a checksum on itself. They used a batch file or
        some other sneaky thing, and had the virus assemble and execute
        after exiting VPIC. It was not detected by Central Point Virus Scan,
        since it wasn't an EXE or COM file, but was detected by someone
        there who sent me a letter with the name and phone number of the
        person who uploaded it. The FBI is currently investigating it.
                                                                       Page A8
    VPIC ver 4.8 02-25-92
    *   Fixed BMP viewing and conversion so Windows will read all files
        created by VPIC (compressed too), and VPIC will view all files that
        windows does. Change RLE extension to BMP for viewing compressed
        BMP's.
    *   Added general means of telling VPIC in the configuration file about
        the presence of the Sierra DAC and what modes it works in.
    *   Updated CVPIC to work with new CFG files.
    *   VPIC now comes up with mouse cursor out of the way in upper right
        corner.
    *   Added /l option for putting another picture on the screen from an
        application; doesn't change the video mode.
    *   Added Alt_D from menu to change the slide delay for marked files.
    *   Added QUIT command in slide command file to do just 1 pass and quit.
    *   Fixed numerous minor bugs in ver 4.6.
    *   Added S3 VGA chip (Orchid Fahrenheight 1280, Genoa Windows VGA, etc).

    VPIC ver 4.8a 03-10-92
    *   Fixed minor bug in /m command and updated help screen.
    *   Fixed conversion to 16 color Windows BMP.
    *   Fixed menu file marking bug where spacebar was ignored after marking
        files with mouse.

    VPIC ver 4.8b 04-08-92
    *   Fixed bug in marked file viewing when saving or deleteing a file.
    *   You can now lock the mode for marked file slide viewing.
    *   Added Uncompressed DPII conversions.

    VPIC ver 4.8c 04-20-92
    *   Fixed a bug in VESA module for boards with dual VESA windows.
    *   Updated CVPIC to handle VESA windows.
    *   Added internal character table for boards which don't have
        characters built into Video BIOS (S3 in extended modes, 8514A, etc).
    *   Fixed an annoying bug when you pressed ESC to end slide mode.
    *   Fixed ATI viewing in mode 55h (1024x768x16).

    VPIC ver 4.8d 06-01-92
    *   Added NCR (NCR.CFG) and REALTEK (REALTEK.CFG) VGA chip.
    *   Fixed bug in uncompressed BMP viewing and conversion for odd sizes.
    *   Eliminated palette colors swapping for text readability.
    *   Added 24 bit color (65 million colors) for Genoa 7900 (GENO7900.CFG)
        and Diamond Speedstar 24 (DIAMON24.CFG), and possibly others. This
        and the 32K color modes don't support file conversion or help yet,
        and are mainly there as a convenience to the user.

    VPIC ver 4.9  Never released
        This was a Beta test version I sent to someone with a specific
        request not to upload it anywhere. Oh well, so much for requests. It
        may be buggy, and you should get ver 5.0.

    VPIC ver 5.0  06-18-92
    *   Added 8514A support. Added 8514A and ATIULTRA config files. Should
        also work with XGA, and you may be able to add the 800x600 mode.
    *   Changed Targa info to remove number of colors.
    *   Changed Targa slides to always decode to screen; mainly to
        accommodate the 32K and 16M colors modes.
    *   Added Alt T and Alt U to menu; Alt T (tag) marks all files, and Alt
        U (untag) unmarks all files.
                                                                       Page A9
    VPIC ver 5.0a 07-12-92
    *   Fixed a problem with the VESA bank switching which caused the screen
        to overwrite the top portion.
    *   Fixed a problem with the 8514A (and ATI Ultra) where it wouldn't
        display the whole picture in 1024x768x256 mode.

    VPIC ver 5.0b 07-21-92
    *   Fixed 8 bit Targa display routine.
    *   VPIC now puts the 'bad code' message for corrupted GIFs at bottom of
        the screen, leaves the picture on the screen, and goes into command
        mode. This allows you to save at least a portion of a bad GIF.

    VPIC ver 5.0c 08-01-92
    *   Added path specifier to slide command file. This is useful for pics
        on a CD ROM or other unmodifiable device.
    *   Added Alt_R in the menu to rename a file. It prompts for a new
        filename and uses the old extension if you don't give it a new one.
    *   Added /D command line option to save files to the directory VPIC was
        called from. The default is the now the directory you're viewing.
        This is useful for saving CD ROM pictures, that you can't write to.

    VPIC ver 5.0d 08-20-92
    *   Separated /x and /y command line parameters so you can spec one and
        the other will be centered.
    *   Changed built in help so 'vpic /?' gives help from the DOS command
        line, F1 gives help from menu, and / or ? gives help while viewing.

    VPIC ver 5.1  09-03-92
    *   Fixed VESA bank switching bug.
    *   Added context sensitive help (command line, menu, conversion).
    *   Fixed Targa viewer for 24 bit cards and top-down Targa'a.
    *   Fixed LBM viewer and conversion-added pad bytes when req'd.
    *   Limited S3 320x200x256 to 1 screen; scrolling not supported by S3.
    *   Blanked screen between slides.
    *   Added Compaq Qvision support-didn't work.

    VPIC ver 5.1a 10-28-92
    *   Fixed Qvision viewing.
    *   Added /o option; Doesn't check for EGA/VGA on startup.
    *   Added /p option; Doesn't swap background for GIF's. Good if you are
        saving to PCX and going to PC Paintbrush.
    *   Added /d option; Saves to current dir instead of the viewing dir.
        Good for CD ROM conversions.
    *   Added p command to slide files to specify the path for the pictures.
        Good for CD ROM slideshows.
    *   Upped file limit to 2000 for the menu. Good for large dirs.

    VPIC ver 5.1b 11-15-92
    *   Fixed LBM viewing and conversion.
    *   Added Primus 2000 Graphics Accelerator.
    *   Marked files now stay marked when you press Esc from either Slides
        (F2) or manual viewing with Enter; they can be unmarked by Alt_U
        from the menu. You can now go to the previous file with Alt_Enter.
        For marked file viewing with Enter, the viewing continues like a
        slide show and you press Esc to quit back to the menu.

    VPIC ver 5.1c 12-04-92
    *   Fixed grey conversion to give better representation of shades.
                                                                       Page A10
    VPIC ver 5.1d 12-10-92
    *   Added Acumos SVGA chip, used on co-processor boards. Not tested yet.
    *   Changed to medium memory model to accommodate more program features.
        This may have caused a few bugs which I haven't found yet. If you
        find one, please let me know.
    *   Made help screens also serve as menus.
    *   Fixed last file viewing in command file slideshows when QUIT used.
    *   Added Alt_L to menu to set top and left picture margins.

    VPIC ver 6.0  12-20-92
    *   Added directory tree when you press Alt F9. Scans current drive for
        all subdirectories, and presents them in the menu window.
    *   Added Alt_Z to menu to toggle filename viewing while decoding.
    *   Added graphics cursor similar to Windows cursor.
    *   Price Increase: Since 90% of the VPIC registrations want the latest
        version ($20), and to cover the nifty new features I plan to add,
        the base price for VPIC was raised to $25 for a single user.
        Shipping and handling for updates to the latest version (registered
        users only) is the same at $5 inside the USA and Canada, and $10
        foreign, and includes about 1M of good GIF pictures. When you
        register or upgrade from a version prior to 6.0, and get the latest
        version from me, you also get a printed manual.

    VPIC ver 6.0a  1-17-93
    *   Added super 16 color palette selection for viewing in 16 colors.
        Pictures are not dithered, but look better than some dithered pics.

    VPIC ver 6.0b  1-30-93
    *   Added VESA ver 1.2 checking, so it recognizes hi-color modes.
    *   Added Alt M to menu to tell you what modes are currently defined.
    *   Added Alt C to menu to set the hi-color mode (8, 15, 16, or 24 bit).
    *   Fixed Alt S (from the keyboard) to rescan a drive after Alt F9.
    *   Fixed 'Abort, Retry, Fail' problem when you have additional floppy
        drives above drive C.

    VPIC ver 6.0c  2-09-93
    *   Fixed drives in directory tree so they can go from A to Z.

    VPIC ver 6.0d  3-02-93
    *   Added generic VESA configuration file, which you may modify to try to
        get a new board (which VPIC doesn't support directly) running. You may
        have to call the manufacturer to get some of the parameters.

    VPIC ver 6.0e  3-18-93
    *   Added provisions for more than 1 M video RAM.
    *   Added Realtek card with Sierra DAC (RELTEKHI).

    VPIC ver 6.0f  3-25-93
    *   Fixed a file reordering problem with Alt T from menu.

    VPIC ver 6.0g  5-19-93
    *   Added copy, move, and delete of tagged files, or single file at cursor
        if none are tagged. Changed the old Alt_C to Alt_F6 (view all color
        modes VPIC thinks you have) and old Alt_M to Alt_F7 (Lock hi-color mode).
        Alt_C now copies all tagged files to a different disk/directory, and
        Alt_M moves them to a different disk/directory. Alt_X now deletes all
        tagged files, but prompts you for each one. If not files are tagged, the
        single file at the cursor is copied, moved, or deleted.

    VPIC ver 6.1   8-10-93
    *   Fixed a minor bug in block delete.
	*	Finally added TIFF view/convert support, including LZW compressed TIFs.
    *   Added color reduction to 16 or 256 colors. Whew!
    *   Added Alt_S to menu to make a slidefile for the current marked files.
	*	Added conversion support for hi-color viewing, including mouse, menus
        and prompts. If you want to save a color reduced version of a hi-color
        picture, view it in 16 or 256 colors and then do the conversion.
    *   Added Slow Scan TV HRZ (18 bit/pixel) file format for viewing only.

    VPIC ver 6.1a  8-23-93
    *   Added 24 bit BMP viewing and conversion.
    *   Fixed minor TIF bug concerning CCITT (FAX) files.

    VPIC ver 6.1b  8-30-93
    *   Fixed a bug in the slideshow and Alt S (from the menu) to make a slide
        file.
    *   Added 'intelligent' resizing of the picture to the screen; keeps same
        aspect ratio so pictures aren't distorted. Use /g from the DOS command
        line to activate, or Alt G from the menu toggles on/off. Tab toggles
        between resized and normal.

    VPIC ver 6.1c  9-11-93
    *   Changed resize to integer, which reduced VPIC size by 15K.
    *   Fixed resize for slides (with screen locked with F7).

    VPIC ver 6.1d  9-22-93
    *   Major changes internally, with no apparent changes from 6.1c.
    *   Now handles resized multi-image GIFs.

    VPIC ver 6.1e 10-01-93
    *   Major revions internally. Much faster at displaying hi color files.
    *   You can now lock a mode and use resizing to get a slideshow which does
        not change viseo modes (which screws up VCR recordings).
    Subrev 1 - fixed a problems with certain Motorola format TIFs.
    Subrev 2 - fixed a problem decoding some GIFs.
    Subrev 3 - Added Ctrl_ENTER to view the picture at the cursor when other
        pictures are marked for slides, copying, etc.
    Subrev 4 - Add /rn to command line options-makes VPIC not write the picdata
        file to the current directory.

